1. 云栖社区>
  2. PHP教程>
  3. 正文

基于 Laravel 5.5 开发的适用于 API 开发的神器 —— laravel-smart

作者:用户 来源:互联网 时间:2017-11-30 15:42:14

开发apilaravelsmart基于5.5用于

基于 Laravel 5.5 开发的适用于 API 开发的神器 —— laravel-smart - 摘要: 本文讲的是基于 Laravel 5.5 开发的适用于 API 开发的神器 —— laravel-smart,项目简介 laravel-smart 是针对API 接口进行友好开发的强大的辅助工具,集成了短信、邮件、极光推送、代码生成、接口模拟器等,框架目前可以很方便的开设子项目,统一后台管理,方便各位基于这套源码基础上做二次迭代。 代码仓库 :

项目简介

laravel-smart 是针对API 接口进行友好开发的强大的辅助工具,集成了短信、邮件、极光推送、代码生成、接口模拟器等,框架目前可以很方便的开设子项目,统一后台管理,方便各位基于这套源码基础上做二次迭代。


代码仓库 : https://github.com/dominator88/laravel-smart


安装配置

首先需要安装好Laravel 环境,进入 Laravel 应用目录执行以下命令:


composer require dominator88/laravel-smart:dev-master

运行下面命令来发布资源,以及安装数据库:


php artisan vendor:publish --provider="Smart/SmartServiceProvider"
php artisan make:auth
php artisan smart:install

为权限认证添加模块,并设置当前模型作为用户模型:


'admin' => [
'driver' => 'eloquent',
'model' => Smart/Models/SysUser::class,
]

如此便可以进行访问:


后台地址: http://sitename/backend/
帐户名: sys_admin
密码 123123
邮箱: [email protected]

超级管理员帐户密码可以在 config/backend.php 进行配置。


从项目根目录进入 public 目录,执行命令:


npm update

不知道 npm 如何安装的可以在搜索引擎上查找。


应用截图

基于 Laravel 5.5 开发的适用于 API 开发的神器 —— laravel-smart-


基于 Laravel 5.5 开发的适用于 API 开发的神器 —— laravel-smart-


基于 Laravel 5.5 开发的适用于 API 开发的神器 —— laravel-smart-


基于 Laravel 5.5 开发的适用于 API 开发的神器 —— laravel-smart-


目前这套管理框架是新开发,在开发过程中可能会存在一些问题,希望有问题的朋友能不吝赐教,一起进步!


声明:本文整理自 http://forum.laravelacademy.org/d/443-laravel-5-5-api-laravel-smart ,原文作者dominator88。


以上是云栖社区小编为您精心准备的的内容,在云栖社区的博客、问答、公众号、人物、课程等栏目也有的相关内容,欢迎继续使用右上角搜索按钮进行搜索开发 , api , laravel , smart , 基于 , 5.5 , 用于 ,以便于您获取更多的相关知识。

弹性可伸缩的计算服务,助您降低 IT 成本,提升运维效率

40+云计算产品,6个月免费体验

稳定可靠、可弹性伸缩的在线数据库服务,全球最受欢迎的开源数据库之一

云服务器9.9元/月,大学必备